"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// istanbul ignore file
const base_command_1 = __importDefault(require("../base-command"));
const doctor_1 = require("../utils/doctor");
class DoctorCommand extends base_command_1.default {
    static description = '检查运行环境';
    async run() {
        const doctorInfo = await (0, doctor_1.generateDoctorInfo)(this.projectDir, this.config.pjson);
        doctorInfo.forEach((item) => {
            console.log(item);
        });
        await this.cleanup();
    }
}
exports.default = DoctorCommand;
//# sourceMappingURL=doctor.js.map