import { NodeFilterType, SortedNodeFilterType, PossibleNodeConfigType } from '../types';
export declare class SortFilterWithSortedFilters implements SortedNodeFilterType {
    _filters: Array<NodeFilterType>;
    readonly supportSort = true;
    constructor(_filters: Array<NodeFilterType>);
    filter<T extends PossibleNodeConfigType>(nodeList: ReadonlyArray<T>): ReadonlyArray<T>;
}
export declare class SortFilterWithSortedKeywords implements SortedNodeFilterType {
    _keywords: Array<string>;
    readonly supportSort = true;
    constructor(_keywords: Array<string>);
    filter<T extends PossibleNodeConfigType>(nodeList: ReadonlyArray<T>): ReadonlyArray<T>;
}
