import { BlackSSLProviderConfig } from '../types';
import Provider from './Provider';
import { GetNodeListFunction, GetSubscriptionUserInfoFunction } from './types';
export default class BlackSSLProvider extends Provider {
    readonly username: string;
    readonly password: string;
    constructor(name: string, config: BlackSSLProviderConfig);
    getSubscriptionUserInfo: GetSubscriptionUserInfoFunction;
    getNodeList: GetNodeListFunction;
    private getBlackSSLConfig;
}
