import { z } from 'zod';
import type { PossibleNodeConfigType } from '../types';
type NodeFilterType = (nodeConfig: PossibleNodeConfigType) => boolean;
export declare const NodeFilterTypeValidator: z.ZodType<NodeFilterType, z.ZodTypeDef, NodeFilterType>;
type SortedNodeFilterType = {
    readonly filter: <T extends PossibleNodeConfigType>(nodeList: ReadonlyArray<T>) => ReadonlyArray<T>;
    readonly supportSort: true;
};
export declare const SortedNodeFilterTypeValidator: z.ZodType<SortedNodeFilterType, z.ZodTypeDef, SortedNodeFilterType>;
export {};
