"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SortedNodeFilterTypeValidator = exports.NodeFilterTypeValidator = void 0;
const zod_1 = require("zod");
exports.NodeFilterTypeValidator = zod_1.z.custom((val) => {
    return typeof val === 'function';
});
exports.SortedNodeFilterTypeValidator = zod_1.z.custom((val) => {
    return (typeof val === 'object' &&
        val !== null &&
        'filter' in val &&
        typeof val.filter === 'function' &&
        ('supportSort' in val ? typeof val.supportSort === 'boolean' : true));
});
//# sourceMappingURL=filter.js.map