"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defineV2rayNSubscribeProvider = exports.defineTrojanProvider = exports.defineSsdProvider = exports.defineShadowsocksrSubscribeProvider = exports.defineShadowsocksSubscribeProvider = exports.defineShadowsocksJsonSubscribeProvider = exports.defineCustomProvider = exports.defineClashProvider = exports.defineBlackSSLProvider = exports.defineSurgioConfig = void 0;
const types_1 = require("./types");
const defineSurgioConfig = (config) => config;
exports.defineSurgioConfig = defineSurgioConfig;
const defineBlackSSLProvider = (config) => ({
    ...config,
    type: types_1.SupportProviderEnum.BlackSSL,
});
exports.defineBlackSSLProvider = defineBlackSSLProvider;
const defineClashProvider = (config) => ({
    ...config,
    type: types_1.SupportProviderEnum.Clash,
});
exports.defineClashProvider = defineClashProvider;
const defineCustomProvider = (config) => ({
    ...config,
    type: types_1.SupportProviderEnum.Custom,
});
exports.defineCustomProvider = defineCustomProvider;
const defineShadowsocksJsonSubscribeProvider = (config) => ({
    ...config,
    type: types_1.SupportProviderEnum.ShadowsocksJsonSubscribe,
});
exports.defineShadowsocksJsonSubscribeProvider = defineShadowsocksJsonSubscribeProvider;
const defineShadowsocksSubscribeProvider = (config) => ({
    ...config,
    type: types_1.SupportProviderEnum.ShadowsocksSubscribe,
});
exports.defineShadowsocksSubscribeProvider = defineShadowsocksSubscribeProvider;
const defineShadowsocksrSubscribeProvider = (config) => ({
    ...config,
    type: types_1.SupportProviderEnum.ShadowsocksrSubscribe,
});
exports.defineShadowsocksrSubscribeProvider = defineShadowsocksrSubscribeProvider;
const defineSsdProvider = (config) => ({
    ...config,
    type: types_1.SupportProviderEnum.Ssd,
});
exports.defineSsdProvider = defineSsdProvider;
const defineTrojanProvider = (config) => ({
    ...config,
    type: types_1.SupportProviderEnum.Trojan,
});
exports.defineTrojanProvider = defineTrojanProvider;
const defineV2rayNSubscribeProvider = (config) => ({
    ...config,
    type: types_1.SupportProviderEnum.V2rayNSubscribe,
});
exports.defineV2rayNSubscribeProvider = defineV2rayNSubscribeProvider;
//# sourceMappingURL=configurables.js.map