"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.categories = exports.utils = exports.combineExtendFunctions = exports.createExtendFunction = exports.extendOutbounds = exports.cache = exports.httpClient = void 0;
const utils_1 = require("./utils");
const useragentUtils = __importStar(require("./utils/useragent"));
const filters = __importStar(require("./filters"));
const constant_1 = require("./constant");
__exportStar(require("./configurables"), exports);
var http_client_1 = require("./utils/http-client");
Object.defineProperty(exports, "httpClient", { enumerable: true, get: function () { return __importDefault(http_client_1).default; } });
var cache_1 = require("./utils/cache");
Object.defineProperty(exports, "cache", { enumerable: true, get: function () { return cache_1.unifiedCache; } });
var generator_1 = require("./generator");
Object.defineProperty(exports, "extendOutbounds", { enumerable: true, get: function () { return generator_1.extendOutbounds; } });
Object.defineProperty(exports, "createExtendFunction", { enumerable: true, get: function () { return generator_1.createExtendFunction; } });
Object.defineProperty(exports, "combineExtendFunctions", { enumerable: true, get: function () { return generator_1.combineExtendFunctions; } });
const { internalFilters, ...filtersUtils } = filters;
exports.utils = {
    ...internalFilters,
    ...filtersUtils,
    ...useragentUtils,
    isHeroku: utils_1.isHeroku,
    isNow: utils_1.isNow,
    isVercel: utils_1.isVercel,
    isGitHubActions: utils_1.isGitHubActions,
    isGitLabCI: utils_1.isGitLabCI,
    isRailway: utils_1.isRailway,
    isNetlify: utils_1.isNetlify,
    isAWS: utils_1.isAWS,
    isFlyIO: utils_1.isFlyIO,
    isAWSLambda: utils_1.isAWSLambda,
};
exports.categories = constant_1.CATEGORIES;
//# sourceMappingURL=index.js.map