import { ShadowsocksJsonSubscribeProviderConfig, ShadowsocksNodeConfig } from '../types';
import Provider from './Provider';
import { GetNodeListFunction } from './types';
export default class ShadowsocksJsonSubscribeProvider extends Provider {
    #private;
    readonly udpRelay?: boolean;
    constructor(name: string, config: ShadowsocksJsonSubscribeProviderConfig);
    get url(): string;
    getNodeList: GetNodeListFunction;
}
export declare const getShadowsocksJSONConfig: (url: string, udpRelay?: boolean, requestUserAgent?: string) => Promise<Array<ShadowsocksNodeConfig>>;
