import { ShadowsocksrNodeConfig, ShadowsocksrSubscribeProviderConfig, SubscriptionUserinfo } from '../types';
import Provider from './Provider';
import { GetNodeListFunction, GetSubscriptionUserInfoFunction } from './types';
export default class ShadowsocksrSubscribeProvider extends Provider {
    #private;
    readonly udpRelay?: boolean;
    constructor(name: string, config: ShadowsocksrSubscribeProviderConfig);
    get url(): string;
    getSubscriptionUserInfo: GetSubscriptionUserInfoFunction;
    getNodeList: GetNodeListFunction;
}
export declare const getShadowsocksrSubscription: (url: string, udpRelay?: boolean, requestUserAgent?: string) => Promise<{
    readonly nodeList: Array<ShadowsocksrNodeConfig>;
    readonly subscriptionUserinfo?: SubscriptionUserinfo | undefined;
}>;
