import { PossibleProviderConfigType } from '../types';
import { ProviderDefineFunction } from '../configurables';
import BlackSSLProvider from './BlackSSLProvider';
import ClashProvider from './ClashProvider';
import CustomProvider from './CustomProvider';
import ShadowsocksJsonSubscribeProvider from './ShadowsocksJsonSubscribeProvider';
import ShadowsocksrSubscribeProvider from './ShadowsocksrSubscribeProvider';
import ShadowsocksSubscribeProvider from './ShadowsocksSubscribeProvider';
import SsdProvider from './SsdProvider';
import TrojanProvider from './TrojanProvider';
import V2rayNSubscribeProvider from './V2rayNSubscribeProvider';
import { PossibleProviderType } from './types';
import Provider from './Provider';
export { BlackSSLProvider, ClashProvider, CustomProvider, ShadowsocksJsonSubscribeProvider, ShadowsocksrSubscribeProvider, ShadowsocksSubscribeProvider, SsdProvider, TrojanProvider, V2rayNSubscribeProvider, };
export type { Provider };
export type * from './types';
export declare function getProvider(name: string, config: ReturnType<ProviderDefineFunction<any>> | PossibleProviderConfigType): Promise<PossibleProviderType>;
