"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function relayableUrl(url, relayUrl) {
    if (typeof relayUrl === 'string') {
        if (relayUrl.includes('%%URL%%')) {
            return relayUrl.replace('%%URL%%', encodeURIComponent(url));
        }
        else if (relayUrl.includes('%URL%')) {
            return relayUrl.replace('%URL%', url);
        }
        else {
            throw new Error('relayUrl 中必须包含 %URL% 或 %%URL%% 替换指示符');
        }
    }
    return url;
}
exports.default = relayableUrl;
//# sourceMappingURL=relayable-url.js.map