import { NodeFilterType, PossibleNodeConfigType, SortedNodeFilterType } from '../types';
export declare const getSurfboardExtendHeaders: (wsHeaders: Record<string, string>) => string;
/**
 * @see https://getsurfboard.com/docs/profile-format/proxy/
 */
export declare const getSurfboardNodes: (list: ReadonlyArray<PossibleNodeConfigType>, filter?: NodeFilterType | SortedNodeFilterType) => string;
export declare const getSurfboardNodeNames: (list: ReadonlyArray<PossibleNodeConfigType>, filter?: NodeFilterType | SortedNodeFilterType) => string;
