import { NodeFilterType, PossibleNodeConfigType, SortedNodeFilterType } from '../types';
export declare const getSurgeExtendHeaders: (headers: Record<string, string>) => string;
/**
 * @see https://manual.nssurge.com/policy/proxy.html
 */
export declare const getSurgeNodes: (nodeList: ReadonlyArray<PossibleNodeConfigType>, filter?: NodeFilterType | SortedNodeFilterType) => string;
export declare const getSurgeWireguardNodes: (nodeList: ReadonlyArray<PossibleNodeConfigType>) => string;
export declare const getSurgeNodeNames: (nodeList: ReadonlyArray<PossibleNodeConfigType>, filter?: NodeFilterType | SortedNodeFilterType) => string;
