"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Hysteria2NodeConfigValidator = void 0;
const zod_1 = require("zod");
const types_1 = require("../types");
const common_1 = require("./common");
exports.Hysteria2NodeConfigValidator = common_1.TlsNodeConfigValidator.extend({
    type: zod_1.z.literal(types_1.NodeTypeEnum.Hysteria2),
    password: zod_1.z.string(),
    downloadBandwidth: zod_1.z.number().optional(),
    uploadBandwidth: zod_1.z.number().optional(),
    obfs: zod_1.z.literal('salamander').optional(),
    obfsPassword: zod_1.z.string().optional(),
});
//# sourceMappingURL=hysteria2.js.map