"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShadowsocksrNodeConfigValidator = void 0;
const zod_1 = require("zod");
const types_1 = require("../types");
const common_1 = require("./common");
exports.ShadowsocksrNodeConfigValidator = common_1.SimpleNodeConfigValidator.extend({
    type: zod_1.z.literal(types_1.NodeTypeEnum.Shadowsocksr),
    hostname: zod_1.z.string(),
    port: common_1.PortValidator,
    method: zod_1.z.string(),
    password: zod_1.z.string(),
    obfs: zod_1.z.string(),
    obfsparam: zod_1.z.string(),
    protocol: zod_1.z.string(),
    protoparam: zod_1.z.string(),
    udpRelay: zod_1.z.oboolean(),
});
//# sourceMappingURL=shadowsocksr.js.map